package com.ef_prime.rflow;

import java.util.Vector;

public class CommandReceiver {
	
	Rflow rflow;
	
	//TODO replace to queue
	Vector<String> commands = new Vector<String>();
	
	private boolean commandArrived = false;
	
	public CommandReceiver(Rflow rflow){
		this.rflow = rflow;
	}
	
    public synchronized String waitForCommand() {
        while (!commandArrived) {
            try {
                wait(100);
				if (rflow.R!=null){
					rflow.R.rniIdle();
				}
            } catch (InterruptedException e) {
            }
        }
        String s=null;
        if (commands.size()>0) {
            s = commands.elementAt(0);
            commands.removeElementAt(0);
        }
        if (commands.size()==0)
        	commandArrived=false;
        return s;
    }

    public synchronized void passCommand(String command) {
    	String[] lines = command.split(Constants.NEWLINE_STR);
    	if(lines.length > 1){
    		for(String line : lines)
    			passCommandSingleLine(line);
    	}else{
    		passCommandSingleLine(command);
    	}
    }
    
    private void passCommandSingleLine(String command){
    	if(!command.endsWith(Constants.NEWLINE_STR))
    		command += Constants.NEWLINE_STR;
    	commandArrived=true;
        commands.add(command);
        notifyAll();
    }
}
