package com.ef_prime.rflow.node;

import java.util.Properties;

import com.ef_prime.rflow.exception.IncompatibleCommandException;
import com.ef_prime.rflow.exception.ModelCreationFailedException;

public abstract class SimpleNodeModelController extends DefaultNodeModelController{

	public NodeModel createModel(Properties properties, String title, String command) throws ModelCreationFailedException {
		NodeModel model = getDefaultModelInstance();
		model.setTitle(title);
		try {
			model.setCommand(command);
		} catch (IncompatibleCommandException e) {
			throw new ModelCreationFailedException();
		}
		return model;
	}

	public Properties getOptionProperties(NodeModel model) {
		return null;
	}

}
