package com.ef_prime.rflow.util;

import java.io.BufferedInputStream;
import java.io.BufferedOutputStream;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;
import java.util.Properties;

public class PropertiesUtility {
	
	public static void load(Properties p, File file) throws FileNotFoundException, IOException{
		InputStream in = new BufferedInputStream(new FileInputStream(file));
		try{
			p.load(in);
		}finally{
			in.close();
		}
	}
	
	public static void store(Properties p, File file) throws FileNotFoundException, IOException{
		OutputStream out = new BufferedOutputStream(new FileOutputStream(file));
		try{
			p.store(out, null);
		}finally{
			out.close();
		}
	}
}
