package com.ef_prime.rflow;

import java.io.File;
import java.util.Locale;

import javax.swing.ImageIcon;

public class FileResource {
	

	public static final File SETTING_FILE = Constants.getUserFile("rflow.settings"); //$NON-NLS-1$
	public static File FUNCTION_FILE;
	public static final File USER_FUNCTION_FILE = Constants.getUserFile("function.xml"); //$NON-NLS-1$
	public static File CHTML_HELP_FILE;//for windows
	public static File JHELP_FILE;//for non windows
	public static File SAMPLE_FILE;
	
	/*-------------------------------------image-----------------------------------------*/

	public static final ImageIcon DESKTOP_16 = new ImageIcon(Constants.getPath("img/desktop_16.png")); //$NON-NLS-1$
	public static final ImageIcon SPLASH = new ImageIcon(Constants.getPath("img/R-flow-splash.png")); //$NON-NLS-1$

	public static final ImageIcon ACTION_NEW = new ImageIcon(Constants.getPath("img/action/new.png")); //$NON-NLS-1$
	public static final ImageIcon ACTION_REC = new ImageIcon(Constants.getPath("img/action/rec.png")); //$NON-NLS-1$
	public static final ImageIcon ACTION_RUN = new ImageIcon(Constants.getPath("img/action/run.png")); //$NON-NLS-1$
	public static final ImageIcon ACTION_SAVE = new ImageIcon(Constants.getPath("img/action/save.png")); //$NON-NLS-1$
	public static final ImageIcon ACTION_STOP = new ImageIcon(Constants.getPath("img/action/stop.png")); //$NON-NLS-1$

	static
	{
		prepareFiles();
	}

	public static void prepareFiles(){
		/*
		 * file
		 */
		FUNCTION_FILE = Constants.getLocaleFile(new File(Constants.getPath("function.xml"))); //$NON-NLS-1$
		SAMPLE_FILE = Constants.getLocaleFile(new File(Constants.getPath("sample/BostonAnalysis.rflow"))); //$NON-NLS-1$
		
		CHTML_HELP_FILE = Constants.getLocaleFile(new File(Constants.getPath("help/chtml/htmlhelp.chm"))); //$NON-NLS-1$
		
		File jhelpFolder = new File(Constants.getPath("help/jhelp"));
		String folder = "default";
		File[] langs = jhelpFolder.listFiles();
		if(langs != null){
			for(File f : jhelpFolder.listFiles())
				if(f.isDirectory() && f.getName().equals(Locale.getDefault().getLanguage()))
					folder = f.getName();
			JHELP_FILE = new File(Constants.getPath("help/jhelp/"+folder+"/jhelpset.hs"));
		}
		
	}
	
}
