package com.ef_prime.rflow.node;

import java.awt.Window;

import com.ef_prime.rflow.exception.CanceledException;
import com.ef_prime.rflow.exception.IncompatibleCommandException;
import com.ef_prime.rflow.flow.rendering.NodeRenderInterface;

public interface NodeModel extends NodeRenderInterface{
	
	String getCommand();
	
	/**
	 * add newline to end of command if it doesn't end with newline
	 * @return
	 */
	String getCommandNewline();

	void setCommand(String command) throws IncompatibleCommandException;
	
	String getTitle();
	
	void setTitle(String title);
	
	boolean isTitle();
	
	NodeProperty getProperty();
	void setProperty(NodeProperty property);
	
	boolean isEditable();

	NodeModel showConfigDialog(Window parent) throws CanceledException;
	
	NodeModel copy();
}