package com.ef_prime.rflow.node;

import java.awt.Dimension;

import javax.swing.JPanel;

import com.ef_prime.rflow.exception.InvalidOptionException;

public abstract class NodeOptionPanel extends JPanel{
	
	protected static final Dimension DEFAULT_LABEL_SIZE = new Dimension(50,20);
	protected static final Dimension HEIGHTLIMIT_LABEL_SIZE = new Dimension(1000,20);
	protected static final int DEFAULT_SPACE = 20;
	
	
	protected abstract NodeModel getModel() throws InvalidOptionException;
	//protected abstract void setModel(NodeModel model);
	
	protected void initFocus(){
		
	}
	
	protected interface UpdateModel{
		void updateModel();
	}
}
