package com.ef_prime.rflow.tool;

import javax.swing.text.JTextComponent;

import com.ef_prime.rflow.RCommand;

public class SupportedInputFactory {
	
	public static SupportControl setFunctionSupport(JTextComponent tc){
		SupportControl supportControl = new SupportControl(tc){
			@Override
			protected String[] getSupportWords(String input, int index) {
				switch(index){
				case 1: return RCommand.supportListGlobal(input);
				default: return RCommand.supportList(input);
				}
			}
		};
		return supportControl;
	}
}
